Stack Exchange Network

Stack Exchange network consists of 175 Q&A communities including Stack Overflow, the largest, most trusted online community for developers to learn, share their knowledge, and build their careers.

Visit Stack Exchange

Questions tagged [ros]

ROS (Robot Operating System) is a set of software libraries and tools that help developers build robot applications from inside another operating system such as Ubuntu. ROS provides hardware abstraction, device drivers, libraries, visualizers, message-passing, package management, and more.

1
vote
0answers
22 views

rosdep has unmet dependencies

My synaptic manager gives me an error saying that python-rosdep is broken in my system. So I did the following: Edit->Fix broken packages->Apply. But I get an error: E: /var/cache/apt/archives/...
0
votes
0answers
17 views

Installing MAVROS package ROS Melodic on Ubuntu 18.04

When trying to run a ROS script to spawn uavs, I got following error message. Installed ROS Melodic, Ubuntu 18.04, all seemed fine... Resource not found: mavros ROS path [0]=/opt/ros/melodic/share/...
0
votes
1answer
43 views

'rospack Error: package 'rosserial_arduino' not found' when trying to run 'rosrun rosserial_arduino make_libraries.py' when it IS there

Sorry if the title is a little confusing. I'm trying to get rosserial installed as to allow communication between ROS and my arduino. I was following the guide and nothing would install rosserial ...
0
votes
0answers
85 views

why ros want me to install libpcl-dev even when I have install pcl from source?

I have installed PCL from source. The install path is /usr/local. But when I install ROS, it installs another libpcl-dev in /usr/lib/x86-64-linux-gnu. Why it cannot detect the installed PCL in /usr/...
0
votes
1answer
299 views

Error while installing ROS Indigo in Ubuntu 14.04

I get an error while installing the 4th step of ROS Indigo in Ubuntu 14.04. sudo apt-get install ros-indigo-desktop-full Error: Errors were encountered while processing: /var/cache/apt/...
1
vote
0answers
35 views

Python Environment Tainted, should I reinstall ubuntu or python?

I started using python and ubuntu last year, without any prior knowledge. I started with ROS for school purposes. Without knowing anaconda and ROS has a lot of conflict working together, my python ...
0
votes
1answer
307 views

Failed to build/install cartographer package

I'm trying to install Google Cartographer (it's for ROS which is installed in Ubuntu), but I got some errors when I tried it. When I type catkin_make_isolated I get these errors: Failed to find ...
0
votes
0answers
776 views

Problem in installing ROS in Ubuntu 18.04 (Bionic)

I set the proxies that is needed to connect to internet unable to PING to google , I used the command "ping google.com" but it did not show up anything and I am facing difficulty when trying to get ...
0
votes
1answer
596 views

/sbin/ldconfig.real: /usr/local/cuda/lib64/libcudnn.so.7 is not a symbolic link

How should I fix this? $ ls -lha /usr/local/cuda/lib64/libcudnn* -rwxr-xr-x 1 root root 275M Jun 21 15:56 /usr/local/cuda/lib64/libcudnn.so -rwxr-xr-x 1 root root 275M Jun 21 15:56 /usr/local/cuda/...
0
votes
0answers
76 views

cv_bridge boost error

I am trying to create a ROS wrapper (http://wiki.ros.org/cv_bridge/Tutorials/ConvertingBetweenROSImagesAndOpenCVImagesPython) for caffe2 (Ros Kinetic, opencv version-3.4.1) (https://github.com/...
0
votes
0answers
438 views

Unmet dependencies installing packages on Ubuntu 16.04 after ROS Kinetic uninstall

I'm facing trouble installing packages on Ubuntu 16.04. I have had ROS Kinetic on the system before and then purged it with some other packages and my guess is that I messed up something there. This ...
2
votes
1answer
58 views

Can I program the touchscreen?

I want to read the x,y coordinates whenever a user touches or uses a stylus to touch a screen in Ubuntu 16.04. This is because I am using ROS on my Ubuntu and I want to control the ROS nodes from ...
0
votes
2answers
424 views

Stuck in infinite loop of unmet dependencies due to broken packages

I posted this question in SO but found no suggestion. Hence I am posting it here for the hope. This question may appear duplicate of others however, I have tried their solutions but couldn't get any ...
0
votes
0answers
97 views

image_view : error while loading shared libraries : libGLESv2.so.2 : cannot open shared object file : no such file or directory

i was working on a project which combine ros, raspberry and arduino, so i wanted to run my camera by executing roslaunch cam-test.launch, the camera work but i had a problem in "DRI2 failed to ...
0
votes
0answers
93 views

Autoware building error

While trying to build Autoware, following this guide, the following errors appear, as seen in the image: Any suggestions as to how I could fix this? I've already re-installed ROS and Catkin tools. ...
2
votes
0answers
217 views

WSL Gazebo crashes upon opening

I'm currently trying to run Gazebo on WSL in Ubuntu, using Xming, however, it crashes without even fully opening. I can see the orange loading screen when I call it through terminal roslaunch ...
1
vote
0answers
2k views

Set default python to 2.7 instead of 3.6 (Anconda & catkin_make)

running python from terminal gives python 3.6, even though the sym link in usr/bin for python is set to 2.7. I also don't see an alias for python installed, when I type alias in the terminal. ...
0
votes
0answers
109 views

Couldn't install rosdep Ubuntu

msg sudo apt install ros-kinetic-desktop Reading package lists... Done Building dependency tree Reading state information... Done You might want to run 'apt-get -f install' to correct these: ...
1
vote
0answers
851 views

Errors were encountered while processing: Linux-headers-4.4.0-116

[Trying to install Ros kinetic but keeping getting this error, I upgraded from ubuntu 14.04 to 16.04 through the command line and broke something in the process. Terminal keeps telling me I have ...
1
vote
1answer
389 views

Error while rosdep update

I executed the following command in Ubuntu 16.04 rosdep update The error I am getting is as follows: Internet is working fine and the links in error are also in working condition.
1
vote
0answers
93 views

How to open port from hotspot

I have created an hotspot with xubuntu 16.04. I can ping the 2nd from the 1st and the 1st from the 2nd, but with ssh I can't reach the 1st PC where the hotspot is configured. This is the error I am ...
0
votes
0answers
75 views

Is there a way to scale apps specifically, in hi dpi 4k screens?

though ubuntu fixed the menu and text scaling in the ubuntu 16 LTS, there are apps which are build for full hd displays which does not scale well in the 4k screens, the same problem for other distro ...
0
votes
0answers
137 views

How do i test the output string of the command line using shell script

I have a ROS talker node who keeps on publishing the "Hello World" message. and I have to check the string using the shell script. So I have come up with the following script. if (sleep 10 && ...
0
votes
1answer
315 views

Launch a command from a bash script in another shell

I have a script (baxter.sh) that I use to connect to a Baxter robot (then I am able to use ros command on the robot) Some demo of the robot need 3 to 4 command to be launched. When I try to make a ...
1
vote
0answers
329 views

'Unable to process source' error

I am installing ros in Ubuntu 16.04 and all went well until the following command rosdep update The error I am getting is as follows reading in sources list data from /etc/ros/rosdep/sources....
1
vote
2answers
5k views

Unmet dependencies for ros desktop full [closed]

Error I'm trying to install the ros desktop full version on my pc following these steps. Everything is all right until step 1.4, precisely sudo apt-get install ros-kinetic-desktop-full Where i'm ...
1
vote
1answer
76 views

Keep apt install from autoremoving packages?

I'm currently running Ubuntu 16.04, and have ros-kinetic-desktop-full installed. I also need to install python3-rospkg. However, when I try to install this, it autoremoves all extra packages installed ...
1
vote
0answers
186 views

Lunar Turtlebot

I just downloaded everything yesterday including WSL. I went on to download Lunar Loggerhead ROS only to eventually find out that I had some troubles installing turtlebot. After troubleshooting for a ...
2
votes
1answer
659 views

umet dependency while apt-get install ros-kinect-desktop-full

I follow the ROS Kinetic Install Tutorial on my ubuntu16.04,but i met the problem while elon@elonWorkStation:~/Script$ sudo apt-get install ros-kinetic-desktop-full Reading package lists... Done ...
0
votes
0answers
369 views

problem met in ROS indigo installation [duplicate]

My Ubuntu is 14.04 LTS and want to install ROS indigo. I followed the ROS indigo installation tutorial. When I typed: sudo apt-get install ros-indigo-desktop-full The result was: The ...
0
votes
0answers
812 views

ROS Installation issue on Ubuntu 16.04 [duplicate]

I am new to Ubuntu and hence have some installation issues. While I am trying to install ROS Kinetic, it throws me error saying that the source is not found. It also fails to download repository ...
0
votes
0answers
816 views

apt-get Cannot resolve unmet dependencies

I'm using Ubuntu 14.04, 64-bit version. My system refuses to let me install, remove or repair any package. I just recently tried to install ROS Jade via the instructions give on the site here. Ever ...
1
vote
0answers
878 views

Installation of ROS KINETIC in Ubuntu 16.04(Xenial)

I am trying to install ROS KINETIC on Ubuntu 16.04, but every time after 94% installation it stuck,and gives following error.... The following packages will be upgraded: libavcodec-ffmpeg56 ...
2
votes
1answer
154 views

Error: Malformed entry 1 while trying to get ROS Kinetic. How do I fix this? [duplicate]

I'm trying to install ROS Kinetic on Ubuntu Xenial and this is the error: E: Malformed entry 1 in list file /etc/apt/sources.list.d/ros.latest.list (Component) E: The list of sources could not be ...
1
vote
2answers
2k views

Broken packages while installing Gazebo 8.0 on Ubuntu

I am trying to install Gazebo 8.0 simulator for Ubuntu 16.04. I tried the .deb package which gave me this bash script : gazebo8_install.sh : # Description: # This script installs gazebo onto an ...
1
vote
0answers
561 views

work around for apt-get download error of unable to select the candidate version?

I am trying to install ros-desktop on Ubuntu16.04, ARM. However, my plan is to first download the .deb packages recursively using apt-get download and apt-rdepends as shown here and later install ...
0
votes
0answers
296 views

Difficulties installing ROS-Kinetic on Ubuntu [duplicate]

I'm following these instructions ROS-kinetic Kame Installation. everything was alright till the part 1.6. Environment setup. I installed Desktop Full Install and in the mentioned part I got this ...
1
vote
2answers
1k views

apt-get download package throws error 404 Not found

I am trying to download ros package ros-kinetic-desktop using apt-get. I have set the sources.list and the authentication key as well. However, I am encountering an error that says: Err:1 http://...
1
vote
0answers
76 views

Connecting Ros on a chroot with AMD ATI display

So, I have ROS Indigo on a chroot on my Ubuntu 15.10. I installed the nao-gazebo package to simulate a Nao robot using Gazebo. It was working fine. I used the command xhost +local: on the host and in ...
0
votes
1answer
149 views

apt-get to install a package and its first level dependencies only? [duplicate]

Is there a way I can use apt-get install command to install a package and its first level dependencies only instead of all the dependencies recursively? EDIT: I am dealing with ROS and would like to ...
0
votes
0answers
523 views

list out the contents of a meta-package without installing it?

I would like to list out the contents of a metapackage (ros-kinetic-ros-base) without actually installing it. This metapackage is in the cache but has not been installed. Any lead on this is much ...
0
votes
1answer
2k views

How to remove system dependency packages for a ROS package?

After installing a ros package, when I did rosdep check , it has displayed some missing system dependencies that were not taken care of, during apt-get install . So, I installed them using rosdep ...
2
votes
1answer
1k views

What do rosdep init and rosdep update do?

I would like to know if rosdep init and rosdep update that we perform during ROS installation make any changes outside the ROS environment. Does it update or modify the Debian packages or any other ...
0
votes
1answer
146 views

terminal won't open after changing locale file

While installing a package from ROS on Ubuntu 16.04 ARM, I first configure the repositories , set up locale , setup sources.list, setup the keys, install the package , initialize rosdep and setup ...
1
vote
1answer
415 views

ROS on Ubuntu Core Issues

I am having some problems with Ubuntu Core and ROS. I am using Snapcraft. I was able to do the "create your first snap" tutorial (https://snapcraft.io/docs/build-snaps/your-first-snap) and everything ...
0
votes
1answer
937 views

I was trying to install ROS full desktop on ubuntu 16.10 but got stuck at one of the steps

i did the following things... Step 1 sudo apt-get update Step 2 sudo apt-get install ros-desktop-full-lisp-dev Step 3 sudo rosdep init rosdep update After this the output was reading in ...
0
votes
0answers
318 views

apt-get error: Sub-process /usr/bin/dpkg returned an error code (1)

I am not able to install anything because of the above error. Output of sudo apt-get -f install is as follows: ubuntu@rudrabot:~$ sudo apt-get -f install Reading package lists... Done Building ...
0
votes
1answer
292 views

Ubuntu Core V/S ROS

What is the difference between ROS and UBUNTU CORE??? I am very much confused betwwen ROS and Ubuntu core. Is ros an app for ubuntu core?
0
votes
0answers
378 views

What is the graphics card driver for AMD Radeon 8490?

I have installed ROS in Ubuntu 14.04 and in order to use scan data from laser scan I have to install the ATI graphics driver. I searched the AMD website and did not get one for my AMD Radeon 8490. So ...
2
votes
1answer
453 views

update-manager fails with “ImportError: No module named 'ros_buildfarm'”

when I was trying to update ubuntu 16.04 I got this error : sos@sos:~$ sudo update-manager /usr/bin/update-manager:28: PyGIWarning: Gtk was imported without specifying a version first. Use gi....